﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    $ m = Character('May', color="#c8ffc8")
    $ o = Character('Owen', color="#c8ffc8")
    $ a = Character('Alice', color="#c8ffc8")
    $ questionmarks = Character('???', color="#c8ffc8")
    
image may = "sister.png"
image alice = "eccentric.png"

image bg beach3 = "beachroadc.jpg"
image bg beach2 = "beachroadb.jpg"
image bg beach1 = "beachroadd.jpg"
image bg room = "room.jpg"
image bg dream1 = "dreamroadA.jpg"
image bg dream2 = "dream3.jpg"
image bg dream3 = "dream2.jpg"
image bg dream4 = "dream.jpg"
image bg bus = "emptybuss.jpg"
image bg night = "BeachRoadDnight.jpg"

# The game starts here.
label start:
 
play music "moaratmosphere.mp3"

scene bg dream1
with dissolve

"Walking..."
"I'm walking in a dream..."
"Yes, that's right. This is a dream. A dream from long ago."
"I've been having this dream for a long time now."
"Is it to escape?"
"Escape to a better time?"
"What's a better time?"

scene bg dream2
with dissolve

"I progress forward into the lucid dreamscape. Though unknown to me, my mind knows exactly where to go."
"I've been here before."
"Last night?"
"The night before that?"
"How long have I been having this dream?"

scene bg dream3
with dissolve

"Questions swirl through my unconcious mind."
"Where?"
"No, not where. Why?"
"No, not why either. When?"
"No. That's not it. Was it Who?"
"Not that either. Though when I pause to think about it. It's not how..."
"I just... Need to get there."
"But... Where is there?"
"Why do I need to get there?"
"I guess some of those questions were the right ones..."


scene bg dream4
with dissolve

"My mind swirls. It's just over this bridge right now. I know it"
"Anticipation kills me. What will I find. I don't even know if finding it is the important part..."
pause 2
"Geez. What's that sound?"
pause 2
"Suddenly things begin to evaporate. The dream that had become my whole world was now fading into memory."
"Wait!... Don't go!"
"I hear a voice calling for me. Within the dream or outside of the dream?"
"Calling me there. Where is there?"
"I guess it's time to go then."

scene black
with fade

stop music fadeout 0.5

play music "driving.mp3"

"Brother!"

show may
with fade

m "Big Brother!"
m "Wake up!"

scene bg bus
with dissolve

show may
with dissolve

m "You fell alseep again..."
"Oh right, I'm on a bus. I must have dosed off."
"Glancing around, it's late at night and no one seems to be on the bus."
"My sister and I are the only ones around in this silent bus."
"She's sort of sleepy looking right now. I wonder if she's been up this entire time?"
o "Morning...?"
m "It's still night..."
o "I see..."
"We've been riding on this bus for some time. Seeing my sister's weary face and refusal to sleep, I decide to strike up a conversation"
"Deciding, Deciding, Deciding, What to sayWhattosaywhatosay...Dammit..."
o "So... It's been a long time since you've called me something like 'Big Brother' Eh?"
"She turns away in both shyness and annoyence" 
m "W- W... I didn't do that!"
o "Oh really now? I'm pretty sure I heard you say somthing!"
m "N-No! I didn't!"
o "Alright then..."
"My tone is sly and jestfull, but my sister's not like she used to be."
"It's been some time since our father's funeral"
"My sister hasn't been the same since."
"Our Mom felt that she'd feel better if we went on a vacation."
"We were never as close to our mother as we were to each other, so we decided to go by ourselves."
m "It's been so long since we've been here..."
o "Yeah..."
"About a day's drive from our home is the town of Snowport"
o "Snowport eh?... Must be nice in winter or something?"
m "Yeah..."

scene black
pause 2

scene bg bus
with dissolve

"It's now the dead of night. Looking out the windows gives the impression that this bus is the only thing around."
"It seems as if we're not even moving, as though we're we're just floating in nothingness."

scene black
pause 2

scene bg bus
with dissolve

"Streelights are now occasionally wizzing by us. May is sleeping on my shoulder."

scene black
pause 2

scene bg bus
with dissolve

"The sun is now beginning to raise in the eastern sky."
pause 2
"Blazing through the thick white clouds, the dawn creates a shade of pure white."
pause 2

scene black
with fade

pause 2

"Pure... White..."

stop music fadeout 0.5
pause 5

play music "chillout.mp3"

scene bg room
with dissolve 

"Looks like I'm set up now. I'm already reminded of the days that I spent in Snowport"
pause 2
"I pause for something to do."
"Staring at my ceiling... There really isn't much to do in here..."
"Being that I'm still tired from the bus ride I try to sleep."

scene black
with fade 


pause 2

scene bg room
with dissolve 

"...It's dark."
"I guess that bus ride destroyed my sleeping schedule. No one's up in our temporary home."
"There isn't much furniture in our home either. I suppose that's to be expected, seeing as it's just a cottage that we've rented out"
"When we were younger we used to rent out a cottage near here but it's since been torn down to put up a housing development."

scene black
with fade 

"Downstairs it's dark as well. There's nothing to do."
"Moonlight seeps in through the curtainless windows, illuminating the floor in front of them."
"In the distance I can hear the ocean waves, softly tickling the sand on the beach. Forever moving in but never advancing on the dry shores."
"I remember loving this port when I was younger. Hearing the ocean brings memories back."
"After sitting for a breif spell, I decide on going for a night walk."

stop music fadeout 0.5

scene bg night
with dissolve

pause 2

play music "bluesea.mp3"

"Outside there is nothing but the ocean. Being that it's a cloudy night I can't see many stars."
"More and more memories come rushing back to me. I used to spend my days in this water, on this very beach."
"Glancing over to my previous home away from home, all I can see is the lights of sleeping construction equipment."
"I leave my shoes behind and walk closer to the shore. The water is warm on my feet and it feels soothingly nostalgic."
"Looking out at all the ocean, I consider what has happened to me in the past 8 years since I stopped coming here."
"What's missing? What's the same?"

questionmarks "It really ... Is different is it...?"

"I turn abruptly upon hearing a girls voice beside me. The voice itself sounds farmilliar but I can't quite give a face to it."

questionmarks "You look farmilliar."

"My thougts aren't quite together as I speak, and it doesn't quite come out as I'd like it to."

o "Who's speaking...? I can't tell. It sounds like a girl."

show alice
with dissolve

questionmarks "I wonder if you remember me?"

"Upon seeing her. I remember everything but her name."

questionmarks "We used to play together a lot, you know!"

"Her voice sounds slightly irritated."

questionmarks "Oh come on, I remember you, you dummy!"

o "Oh really?"

questionmarks "Yeah..."

"That didn't sonud all to justified."

questionmarks "It's ... Ummm"

"Aha! I've got her"

"We both pause ackwardly. I have a vauge impression of her name, but I don't want to get it wrong."
"I'd have liked to just avoid using her name and have the situation not come up until I remember, but she had to make it all the worse for the both of us."

questionmarks "It's um- Owen, right?"

o " I'm sorry but 'Umowen' is not my name."

"Dammit. She's guessed my name, hasn't she?"

questionmarks "I meant Owen you dummy!"

"Shoot. What now?"
"Well it was something with an A, wasn't it?"

o "Amanda..?"
pause 1
o "Amber?"
pause 1
o "Apple?"
pause 1

"Oh, a reaction! That must be it!"

pause 1

a "It's not Apple at all! what kind of a name is that anyway?"

"Damn. I thought I was close."

pause 1

"I sigh with defeat."
o "I give up."
"Seeing my resolve, she turns, slightly dissapointed but with a sly grin on her face."
a "It's Alice. Don't forget it next time, alright?"

scene black
with fade

"We both walk along the beach in silence together."
"To be perfectly honest, I don't remember much about Alice. I remember that we were good friends whenever I came up, but that's about all."
"After all these years though... It's nice to be able to still talk to her as if I'd been gone for days instead."

scene bg night
with dissolve

show alice
with dissolve

a "You know, I've lived here my entire life and it still feels like there's tons of places that I haven't been."
a "When you look out at the ocean like that, it's almost boundless."
o "Yeah..."
a "And the moon, it's always the same moon but every day it looks different..."
o "yeah..."
a "Maybe one day it'll finally be made of cheese."
o "Ye- What?"

"Cheese?"

a "And then I'd go and eat it!"

"!!!"

a "I'll just fly up there and grab it!"

"As I listen to Alice go on about that, it remindes of conversations from so many years past."

o "You really haven't changed have you?"

a "Huh?"

o "You're just the same as ever."

a "Hey! That's mean!"

o "No, I don't mean it as an insult. It's refreshing."

pause 2
stop music fadeout 0.5

"Looking to the eastern sky, we see it slowly brighten."

scene black
with fade

pause 2
play music "moaratmosphere.mp3"

scene bg dream1
with dissolve

"Walking..."
"There's that dream again."
"Yes, that's right. This is a dream. A dream I've been having for some time now."
"Why am I having this dream though?."
"Is it to escape?"
"Escape to a better time?"
"What's a better time?"

scene bg dream2
with dissolve

"I progress forward into the lucid dreamscape. Though unknown to me, my mind knows exactly where to go."
"I've been here before."
"Last night?"
"The night before that?"
"How long have I been having this dream?"

scene bg dream3
with dissolve

"Why do I keep having this dream?"
"I've been here before..."
"But where is it?"
"When is it?"
"I know where it is. I don't know when."
"Is it a memory? Is it just part of the dream?"
"I just... Need to get there."
"But... Where is there?"
"And why?"


scene bg dream4
with dissolve

"My mind swirls. It's just over this bridge right now. I know it"
"Anticipation kills me. What will I find. I don't even know if finding it is the important part..."
"But this is always when my dream ends. And it's going to end soon."
"Light flares in my eyes. Yes, it must be time."

scene black
with fade

pause 2

scene bg room
with fade

play music "rainshower2.wav"

pause 1

"May never left her room..."
"All she wants to do is sleep..."
"The entire cottage is silent, making my footsteps through the hall echo all around"
"Knocking on May's door, I call in"

o "May, come outside!"

m "Go away, you can't make me!"

"I sigh to myself and proceed downstairs."

scene black
with fade

"Despite the day having started long ago, downstairs it's dark. Rain  slowly crawls down the glass door/"

o "Some port this is..."

"I seem to remember this place as a sunny paradise. It looks like selective memory has let me down."

"I sit and stare out the window for some time."

scene bg room
with dissolve

"Wet sand is possibly the most dismal thing that I can imagine..."

"Suddenly, I hear a knock on the door"

o "Come in"

play music "eccentric.mp3"

show alice
with dissolve

a "Morning!"

o "Ng- gah! How do you know where I'm staying!?"

a "I followed you home last night!"

o "Wah!?"

a "Well how else would I have found out?"

o "You don't just follow people home!"

a "Well you're not annoyed that I know where you're staying, are you?"

o "Well no, but you can't just go around following people home!"

a "And why not?"

o "You'll get arrested or something!"

a "It's not as though I'm stalking you or anything. I just wanted to find out where you lived."

o "But... but..."

o "Ugh, it's no use."

"Alice has always been one to just sort of go her own way. I swear one of these days it'll get her into trouble but it never has. I remember how she was always questioning everything"

a "So what say you prepare us some tea?"

o "I don't have any tea."

a "That's alright, I figured you wouldn't have any. I brought it with me."

"Saying that, she produces two teabags from somewhere inside of her coat."

o "But I've got no milk..."

a "Yep, I've got that covered too!"

"To my disbelief, she pulls out a thermus full of milk which she had managed to hide somewhere in her coat."

"I am in awe of this girl's power of foresight."

o "Dare I even ask about sugar?"

a "Oh..."

pause 2

"We both pause. She forgot sugar?"

"She seems to be thinking something up..."

a "Hmmm. Well, sugar is sweet right? So all we really need to do is find something else that is just as sweet and use it instead."

o "Count me out. No way."

a "Alright, fine..."

scene black
with fade

pause 1

scene bg room
with fade 

show alice
with fade

"In the end I drank my tea bitter and sugarless. Alice, on the other hand, had found some hard candy and shaved it into her tea."

a "Tastes great!"

"Her expression is earnest but I don't know if she's telling the truth or not..."

pause 1

"Both of us glance out the window, it seems that the rain has stopped."

a "Hey, want to go outside?"

o "Yeah sure. This house is dismal."

scene bg beach1
with dissolve

play music "sunnybossa.mp3"

show alice
with dissolve

a "Wow! Look at those huge clouds!"

"The sky has cleared up, leaving massive white clouds drifting in the endless blue sky. They lazily allow themselves to be carried by the wind's current, peices constantly breaking off and joining others."

a "That one looks just like an airplane!"

o "No, I think that's just an airplane."

a "No look, see? That part just broke off!"

o "Woah, it really is a cloud!"

a "See?"

o "Well the airplane could have crashed or something..."

a "Yeah, but then people would be panicking."

o "How do you remember?"

a "I saw it in my dream last night."

"Dreams..."

"Suddenly it hits me. Alice must know about that place!"

o "Alice, there's this place that I keep seeing in my dream."

a "Yes?"

o "And it's here. I keep seeing this ridge. I never get there though. It's down a street and... ugh I can't rememeber"

a "It might be... There..."

"There?"

o "There?"

"That was redundant"

a "I can take you there if you want."

"And with that we instantly set out walking without any input from me."

scene bg beach2
with dissolve


"Walking on this road gives a strange feeling, as if I'm between a dream and reality. As if I've been here before, but not as myself."
"The sandy gravel crackles under my feet. Alice is at my side, smiling broadly."

show alice
with dissolve


a "I still can't believe you don't remember this place."

o "Is there anything to be remembered?"

a "We used to come here all the time when we were younger. "

"When we were younger eh? Why can I not remember very much of that?"

a "Anyway, it's in the past right now, right? That doesn't matter. It's the present that we need to worry about!"

o "Yeah..."

"For some reason, something resonates within me when hearing those words."

stop music fadeout 0.5

scene  bg dream4
with dissolve

"This place..."

"It's just like my dream."

"So that means... Just over this ridge is..."

scene bg beach3
with dissolve

"This place..."

pause 1

"The place where pure white sand coveres the ground, as if it were snow"
"Snowport... I remember now. That was where the name comes from, wasn't it?"

show alice
with dissolve

a "You remember this place, don't you? You remember back then?"

o "Some stuff... "

"I glace into the deep sky. Something is still missing."

"I'd made my way to this place of memories, yet it didn't seem to mean anything. I'd searched out this place to find answers to my dreams but in the end it was barley different from those dreams."

scene black
with fade

"What then...?"

"What is missing?"

pause 2

scene bg room 
with dissolve

pause 1

"The first thing I do after waking up is look for May."

pause 1

"It would apear she is still yet to leave her room..."
"I can't convince her, not matter how I try. I'll just have to wait"

pause 1

"Seeing as there isn't anything else to do, I decide to look for Alice"

play music "sunnybossa.mp3"

scene bg beach1
with dissolve

pause 1

"Hm, she's usually hanging around somewhere here."
"Funny, I never see anyone else here..."
"It's nice to talk to Alice though, it really helps take my mind off of my father."
"The waves rush forward upon the shore, falling back in a steady rhythm. It seems almost hypnotic."
"I loose myself in the waves for a time, only to be brought back by a voice behind me:"

a "Hi!"

o "Uwa!"

show alice
with dissolve

o "Geez, you scared me!"

a "What were you expecting, a monster?"

o "Well no, but I wasn't really expecting anything. That's sort of the idea."

a "So you weren't expecting anything yet you were surprised by what you found?"

o "Yeah, I guess."

"Alice has a weird way of doing these things. She's able to take compleatly reasonable and rational things that most people accept and turn them on their side."
"Some people find it tiring, but it's to me it's refreshing - to an extent. While talking to her, I can see things from a compleatly different perspective."

a "Hey, remember that time when we were younger?"

o "I remember several times when we were younger actually."

a "Yes, what a specacular memory you must have."

pause 1

a "Anyway, it was this one time. On this beach, you remember those huge waves that we'd have sometimes, right?"
a "And then May was with us - "

"May was with us... That's right, she used to play with us all the time."

a "And this wave crashed head on into her? Remember? She coughed straight for that day, but then in the end it turned out that she'd swallowed some little fish eggs!"

o "Yeah. The doctor was baffled at that too. She took it well though."

scene black
with fade

"The rest of the afternoon continues like this, us walking along the beach and talking. I eventually head back."

pause 1

play music "chillout.mp3"

scene bg room 
with dissolve

"I've placed a tray for dinner next to May's room. She'll eventually want some sort of food. I figured it's the least I can do."
"Sitting down on the bed, I pick up a book that I'd brought with me on a passing whim. I half read the pages with some interest, for more time."
"The evening ages on and I prepare to go to bed, but before I do I'm distracted by my phone ringing."
"*click*"
pause 1
"*click*"
"It was my mother. Tomorrow is the last day that we're staying here. I'll tell May first thing tomorrow."

stop music fadeout 0.5

scene black
with fade

pause 2

scene bg room 
with dissolve

play music "sad3.mp3"

pause 1

o "May?"

"..."

o "May?"

"... She's not responding."

o "May, I'm just asking you please to come out. This is our last day and you should enjoy it."

"Nothing."

scene bg beach1
with dissolve

show alice
with dissolve

a "So I guess this is it?"

o "Yeah."

a "You're leaving?"

o "Yeah."

"Alice distantly looks towards me."

a "Owen... There something I'd like to show you."

"With that, she walks off, down a farmilliar path."

scene bg beach2
with dissolve

"It doesn't really come as a surprise to me that she is leading me there."
"I don't really know why though..."
"Looking at Alice's face, she seems to be concentrating on the road ahead of her. Nothing else seems to enter her mind."
"In my dreams, I've always looked forward to this moment, the time of closure. Now that it's actually happening, I just wish that I could stay in the moment of anticipation."
"As Alice leads me closer to that place, it only intensifies that feeling."
"I lag behind her slightly, contemplating stoping altogether. If I could stop moving, perhaps I could stop the inevitable, me leaving this place."
"I don't want to leave... I want to stay here. I want to spend my days by this sky of endless blue with an ocean to match."
"I want to spend my time among those crashing waves that are always charging up towards the shore but never engulfing it."
"There's still more that I'd like to do here."
"I don't want to leave yet."

pause 1

scene bg beach3
with dissolve

pause 1

"And yet... Here I am."

pause 1

"Alice turns to face me. I'm taken aback by the tears in her eyes."
"Before I can react, Alice runs at me and hugs me."
"Memories flash before my eyes."
"This place..."
"I'd always play here with Alice, that's right, but there was more."

scene black
with fade

o "I'm going to be leaving here today, you know."

a "Aw, that's no fun! Come back soon!"

o "I'll come back whenever I can. Promise!"

a "Promise?"

o "Yeah."

o "Ow! I can't breath!"

a "Ehehe. You're all boney and thin."

o "Y-yeah..."

scene bg beach3
with dissolve

"That's right. It was eight years ago. She hugged me like that too."

o "Alice..."

show alice

a "Mhm?"

o "I don't want to go home. I want to stay here with everyone."

"The tears in her eyes have dried up, but red still remains."

a "Oh Owen, you know I'd like that too... But you've already got a life away from here."

"That's right... But I don't want to go back to that."

a "Owen... "

a "What's wrong with your life now?"

o "It's just that I'd just rather stay here..."

"That's right... I am running away from my life. So what though?"

a "You can't just run away from your life. Life will continue, so you'd better keep up."

"That pain though... It's just ..."

a "Keep going. Be sad, be happy, be whatever you should be."

"Be sad, be happy?"
"Yes... That is it. I've been running. I've been using this place to escape into my past."
"Coming here wasn't for May. She doesn't have many fond memories of this place. I did it for myself..."

stop music fadeout 0.5 

"Because... He died..."

pause 2

"Without saying anything, I turn to Alice and hug her tightly."
"Seconds become minutes, minutes become, hours, hours become days, days become years, years are decades."
"Time didn't matter. Just as time hadn't mattered before, it didn't matter while I was in her embrace."
"This time was different though. This time mattered, in that it was not an escape but a farewell."
"A farewell to the time before this, a farewell to Alice, a farewell to this town."
"All of the feelings that had been building up, all the feelings that I'd ever felt about this place, all went into this."
"Finally, after an eternity, it ended."
"Glancing at Alice, she had a shocked expression on her face but with the smallest hint of a smile."
"At this point I turned away from Alice, it came as no shock to her."

o "Goodbye Alice."

a "Goodbye Owen."

"With a smile on my face and tears clouding my eyes, I turn away."

scene black
with fade

pause 1

a "Keep going. Be sad, be happy, be whatever you should be."

"May..."

scene bg beach2
with dissolve

play music "sad2.mp3"

pause 1

"May... I think I understand..."
"I wasn't any more over it than you were. I was just pushing it back."
"With those thoughts in mind, I quicken my pace."

scene bg beach1
with dissolve

"Waves crash on the shore. Waves carrying my childhood memories to and fro."
"Perhaps some day they'll be carried back to me."
"That's not important now though."
"I'm almost running as I cross the sandy beach. I stumble as the sand seems to avoid my feet."

scene black
with fade

"I throw open the door to the house."
"All is dark. May is still in her room."
"I waste no time in climbing the stairs."

scene bg room
with dissolve

"Pounding on May's door I yell at her to open it. When these cries fail, I pound on the door more."
"At least ten minutes this goes on for. Eventually I hear someone rising from a sitting position inside."
"May opens the door, looking tired, sullen and bereaved."

show may 

m "What do you want...?"

o "May..."

"On my way, I'd thought of a whole speach. Now my thoughts are empty."
"Simply stuttering her name, I avoid her glaze and choke out a few simple words."

o "May... I'm sorry. You were right all along."

"Her response is simply to stare at me."
"The stare pierces my heart and seeps into my soul."
"And right there, without exchanging any more words, we both sat down and mourn the death of our father."
"Tears that have been trapped inside of me since then flow freely."
"May, who has been crying all along has no more tears left simply watches me. After some time she puts her hand around my shoulder."

stop music fadeout 1
pause 2

scene black
with fade

pause 2

play music "driving.mp3"

"The ride home is long and silent."
"I glance at the countryside idoly flashing by the car. The straight road stretches out endlessly ahead of us."
"I guess it's back to my life as it used to be."
"My old life."
"The life that I'd tryed so hard to avoid."
"And for what reason?"
"It's not a bad life."
"It's a fine life."
"It's the only life that I've got, and it's the only one I will have."
"And with that in mind, I set my mind on the events of these past few days."
"They say that killing yourself on the inside is the only true way to handle life's pain on the outside. One day that very well may happen. Not now though."
"I'd like to remain alive inside, myself. I'll keep going until I can't. And then maybe I'll keep going anyway."





